<div class="flex my-10 py-6 message">
        <img data-src="{{ message.author.avatar_url  or message.author.default_avatar_url }}" height="140" width="140"
                data-placeholder-background="grey" class="lozad rounded-full mx-6 pfp" />
        <div class="flex-grow" {% if message.is_pinned %} id="pinned--{{message.id}}" {% endif %}>
                <div class="flex flex-row items-center">
                        <span class="{{class_name}} text-2xl font-bold">{{message.author.display_name if
                                message.author.display_name else message.author.username + "#" +
                                message.author.discriminator }}:</span>
                        {% if message.pinned %}
                        <div class="text-lg rounded-lg border-2 border-solid flex px-3 py-2 m-2"
                                style="border-color: #5865f2">
                                📌
                        </div>
                        {% endif %}

                        <div class="has-tooltip ml-auto relative">
                                <div class="
						tooltip
						flex flex-col
						rounded
						shadow-lg
						p-1
						bg-gray-700
						-mt-8
						text-white
						p-8
					">
                                        <div class="text-lg font-bold">Author Information:</div>
                                        <div>
                                                Member ID: {% if message.author.id %}{{message.author.id}}{% else
                                                %}Proxied Message{% endif %}
                                        </div>
                                        <div>
                                                Member Name:
                                                {{message.author.username}}#{{message.author.discriminator}}
                                        </div>
                                        {% if message.member %}
                                        <div style="color:{{message.member.get_top_role().color.hex_code}}">
                                                Member Top Role: {{message.member.get_top_role().name}}
                                        </div>
                                        {% endif %}
                                        <div>------------------</div>
                                        <div class="text-lg font-bold">Message Info:</div>
                                        <div>Message ID: {{message.id}}</div>
                                        <div>Created: {{message.created_at.strftime("%x @ %-I:%M %p")}}</div>
                                        {% if message.edited_at %}
                                        <div>Edited: {{message.edited_at.strftime("%x @ %-I:%M %p")}}</div>
                                        {% endif %} {% if message.pinned %}
                                        <div>📌 Message Pinned!</div>
                                        {% endif %} {% if message.embed %}
                                        <div>Embeds: {{ message.embeds|length }}</div>
                                        {% endif %} {% if attachments %}
                                        <div>Attachments: {{ attachments|length }}</div>
                                        {% endif %} {% if message.mentions %}
                                        <div>
                                                Member Mentions:
                                                <ul>
                                                        {% for member in member_mentions %}
                                                        {% if member.top_role %}
                                                        <li style="color:{{ member.get_top_role().color.hex_code }}">
                                                                {% else %}
                                                        <li>
                                                                {% endif %}
                                                                {{ member.username }}#{{ member.discriminator }} - {{
                                                                member.id }}
                                                                {% if member.get_top_role() %}
                                                                ({{member.get_top_role().name}})
                                                                {% endif %}
                                                        </li>
                                                        {% endfor %}
                                                </ul>
                                        </div>
                                        {% endif %} {% if role_mentions %}
                                        <div>
                                                Role Mentions:
                                                <ul>
                                                        {% for role in role_mentions %}
                                                        <li style="color: {{ role.color.hex_code }}">
                                                                {{ role.name }} - {{ role.id }}
                                                        </li>
                                                        {% endfor %}
                                                </ul>
                                        </div>
                                        {% endif %} {% if message.stickers %}
                                        <div>
                                                Stickers:
                                                <ul>
                                                        {% for sticker in message.stickers %}
                                                        <li>
                                                                <a href="{{sticker.image_url}}">{{ sticker.name }}</a> -
                                                                {{ sticker.id }} ({{ sticker.description }})
                                                        </li>
                                                        {% endfor %}
                                                </ul>
                                        </div>
                                        {% endif %} {% if message.reactions %}
                                        <div>
                                                Reactions:
                                                <ul>
                                                        {% for reaction in message.reactions %}
                                                        <li>
                                                                {% if reaction.custom_emoji %}
                                                                <img src="{{ reaction.emoji.url }}" width="30"
                                                                        class="inline-block"
                                                                        title=":{{reaction.emoji.name}}" />
                                                                {{ reaction.count }} {% else %}
                                                                <span title="{{reaction.emoji.name}}">{{ reaction.emoji
                                                                        }}</span>
                                                                {{ reaction.count }} {% endif %}
                                                        </li>
                                                        {% endfor %}
                                                </ul>
                                        </div>
                                        {% endif %}
                                </div>
                                <div class="rounded-lg border-2 border-solid flex items-center px-4 py-2 m-2"
                                        style="border-color: #5865f2">
                                        <span class="text-lg">ℹ️</span>
                                </div>
                        </div>
                </div>
                <div class="clean_content">
                        <div class="my-6">{{ message_content }}</div>
                </div>
                {% if attachments %}
                {% for attachment in attachments %}
                {% if attachment.media_type.startswith('image') %}
                <img src="{{attachment.proxy_url}}" />
                {% elif attachment.media_type.startswith('video') %}
                <video style="min-width:100%;min-width:100%;max-width:100%;width:800px;height:600px;"
                        data-src="{{attachment.proxy_url}}" class="lozad" controls>
                        <source data-src="{{attachment.proxy_url}}" type="video/mp4">
                        Your browser does not support the video tag.
                </video>
                {% else %}
                <a href="{{attachment.proxy_url}}">Attachment from {{message.author.username}} for this
                        message</a><br />
                {% endif %}
                {% endfor %}
                {% endif %}
                {% if embeds %}
                {{embeds}}
                {% endif %}
                {% if reactions %}
                {{ reactions }}
                {% endif %}
        </div>
</div>
